<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});
	$("#tampil_data").hide();
	$("#info_psb").hide();
	$("#tampil_detail").hide();
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#tgl_awal").val(data.tanggal);
				$("#tgl_akhir").val(data.tanggal);
				$("#txt_tglaw").val(data.tanggal);
				$("#txt_tglak").val(data.tanggal);
			}
		});
	}
	
	$("#cari_psb").click(function(){
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir= $("#tgl_akhir").val();
		var cari	 = $("#txt_carist").val();
		$("#tampil_daftar").show();
		$("#tampil_daftar").load('modul/ubah_status/tampil_daftar.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#txt_carist").keyup(function(){
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir= $("#tgl_akhir").val();
		var cari	 = $("#txt_carist").val();
		
		$.ajax({
			type	: "GET",
			url	    : "modul/ubah_status/tampil_daftar.php",
			data	: "tgl_awal="+tgl_awal+
					"&tgl_akhir="+tgl_akhir+
					"&cari="+cari,
			success	: function(data){
				$("#tampil_daftar").html(data);
			}
		});
	});
	
	$("#cetak_psb").click(function(){
		var tgl_awal = $("#tgl_awal").val();
		var tgl_akhir= $("#tgl_akhir").val();
		var cari	 = $("#txt_carist").val();
		window.location.href='modul/laporan/daftar_psb.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari;
	});

	$("#tutup_psb").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_batal").click(function(){
		var tgl_awal 	= $("#txt_tglaw").val();
		var tgl_akhir 	= $("#txt_tglak").val();
		
		$("#tampil_data").show();
		$("#tampil_data").load('spv/ubah_status/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#batal_psb").click(function(){
		var kode	 = $("#t_kode").val();
		var tanggal	 = $("#t_kodesup").val();
		var gudang	 = $("#t_gudang").val();
		var tjumlah1 = $("#txt_tjumlah1").val();
		var tjumlah2 = $("#txt_tjumlah2").val();		
		var tselisih = $("#txt_tselisih").val();
		var tgl_awal = $("#txt_tglaw").val();
		var tgl_akhir= $("#txt_tglak").val();
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin batalkan perubahan status kode '+kode+' ini ?');
		
		if (pilih==true){				
			$.ajax({
				type	: "POST",
				url		: "spv/ubah_status/batal.php",
				data	: "kode="+kode+
						"&tanggal="+tanggal+
						"&gudang="+gudang+
						"&tjumlah1="+tjumlah1+
						"&tjumlah2="+tjumlah2+
						"&tselisih="+tselisih,					
				timeout: 2000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");			
				},
				success	: function(data){
					$("#info").html(data);					
					$("#info_psb").hide();
					$("#tampil_detail").hide();
					$("#pencarian_batal").show();
					$("#tampil_data").show();
					$("#tampil_data").load('spv/ubah_status/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
				}
			});
		}
	});
		
	$("#tutup_detail").click(function(){
		$("#pencarian_batal").show();
		$("#info_psb").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();
	});
	
	$("#tutup_batal").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#t_kode {
	background:#CCC;
}
#txt_ctotasal{
	font-size:20px;
	background:#CCC;
}
#txt_ctothasil{
	font-size:20px;
	background:#CCC;
}
#txt_cselisih{
	font-size:20px;
	background:#CCC;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

echo "<div id='tabs'>";
echo "<ul>	       
	    <li><a href='#daftar'>DAFTAR PERUBAHAN STATUS BARANG</a></li>
		<li><a href='#form_batal'>BATAL PERUBAHAN STATUS BARANG</a></li>
	</ul>";
	  	
echo "<div id='daftar'>
		<div id='pencarian'>
			<table>
				<tr>
					<td>Tanggal transaksi : <input type='date' id='tgl_awal' size='10'> sampai dengan <input type='date' id='tgl_akhir' size='10'></td>
					<td>Cari barang : <input type='text' id='txt_carist' class='input' size='40'></td>
					<td>
						<button id='cari_psb'>Cari</button>
						<button id='cetak_psb'>Cetak</button>
						<button id='tutup_psb'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>
		<div id='tampil_daftar' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_batal'>
		<div id='pencarian_batal'>
			<table width='100%'>
				<tr>
					<td>Tanggal transaksi : <input type='date' id='txt_tglaw' size='10'> sampai dengan <input type='date' id='txt_tglak' size='10'></td>
					<td>
						<button id='cari_batal'>Cari</button>
						<button id='tutup_batal'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>

		<div id='tampil_data' align='center' style='overflow-x: auto;height: 450px;scroll-behavior: smooth'></div>
			
		<div id='info_psb'>
			<table width='100%'>
				<tr>
					<td>Kode PSB  : <input type='text' id='t_kode' size='13' readonly></td>
					<td>Tanggal : <input type='date' id='t_tanggal' readonly/></td>
					<td>Gudang : <input type='text' id='t_gudang' size='4' readonly/></td>
				</tr>
			</table>
			<hr>
			
			<table width='100%'>
				<tr>
					<input type='text' id='txt_tjumlah1' class='input_total' hidden/>
					<input type='text' id='txt_tjumlah2' class='input_total' hidden/>
					<input type='text' id='txt_tselisih' class='input_total' hidden/>
					<td>Total Asal : <input style='color:maroon' align='right' type='text' id='txt_ctotasal' class='input_total' size='10' readonly /></td>
					<td>Total Hasil : <input style='color:maroon' align='right' type='text' id='txt_ctothasil' class='input_total' size='10' readonly/></td>
					<td>Selisih : <input style='color:maroon' align='right' type='text' id='txt_cselisih' class='input_total' size='10' readonly/></td>
					<td>
						<button id='batal_psb'>Batal</button>
						<button id='tutup_detail'>Tutup</button>
					</td>
				</tr>
			</table>						
		</div>
			
		<div id='tampil_detail' align='center' style='overflow-x: auto;height: 450px;scroll-behavior: smooth'></div>
	</div>";

echo "</div>";

echo "<div id='info' align='center'></div>";
?>